CachingOptions.KeyCache.Type (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cache

## Enum CachingOptions.KeyCache.Type

- java.lang.Object
- - java.lang.Enum<CachingOptions.KeyCache.Type>
  - - org.apache.cassandra.cache.CachingOptions.KeyCache.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CachingOptions.KeyCache.Type>
  Enclosing class:
    CachingOptions.KeyCache

      public static enum CachingOptions.KeyCache.Type
      extends java.lang.Enum<CachingOptions.KeyCache.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CachingOptions.KeyCache.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CachingOptions.KeyCache.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final CachingOptions.KeyCache.Type ALL

    - #### NONE

          public static final CachingOptions.KeyCache.Type NONE

  - ### Method Detail

    - #### values

          public static CachingOptions.KeyCache.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CachingOptions.KeyCache.Type c : CachingOptions.KeyCache.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CachingOptions.KeyCache.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation